let rec scm_exec : unit =
  let vmng = Vars.initVarsMng in
  let ch = Lexing.from_channel stdin in
  try
    let rec exec () =
      let e = Sparser.input Slex.scheme ch in
      Sexec.scmexec e vmng;
      exec ()
    in
    exec ()
  with End_of_file -> ()

let _ = scm_exec
