(* $Id: stype.ml 858 2008-02-10 22:21:11Z isr $ *)
open Utils 

type scm_node 
  = SCM_DIV
  | SCM_EMPTY
  | SCM_EXP
  | SCM_FLOAT
  | SCM_INT
  | SCM_MINUS
  | SCM_PLUS
  | SCM_SYMBOL 
  | SCM_STRING 
  | SCM_TIMES

type scm_exp = {
  seType  : scm_node;
  seLabel : string option;  (* var name or integer value *)
  seExp   : scm_exp list;
}
let initSExp a b c = { seType = a; seLabel = b; seExp = c; }
let seGetLabel e = fromJust e.seLabel
