(* $Id: vars.mli 844 2008-02-08 19:17:59Z isr $ *)
val initVarsMng : Ttype.varManager
val incVarsMng : Ttype.varManager -> Ttype.varManager
val topVarsMng : Ttype.varManager -> Ttype.varTbl
val pushVarsMng : Ttype.varManager -> Ttype.varTbl -> Ttype.varManager
val decVarsMng : Ttype.varManager -> int -> Ttype.varManager
val getCurNestNum : Ttype.varManager -> int
val findVarDef : Ttype.varManager -> string -> Ttype.varDef
val findVarDefWithExp : Ttype.varManager -> Ttype.exp -> Ttype.varDef
val findVDexp : Ttype.varManager -> Ttype.exp -> Ttype.varDef
val asgnVarDef : Ttype.varManager -> Ttype.varDef -> unit
val asgnVarDefList : Ttype.varManager -> Ttype.varDef list -> unit
val existVarDefWithExp : Ttype.varManager -> Ttype.exp -> bool
val existVDexp : Ttype.varManager -> Ttype.exp -> bool
