(* $Id: smain.ml 859 2008-02-11 02:08:58Z isr $ *)

open Ttype
open Sexec

let callFromTlpt (vmng: varManager) (src: string) : unit =
  let ch = Lexing.from_string src in
  try
    let rec exec () =
      let e = Sparser.input Slex.scheme ch in
      Sexec.scmexec e vmng;
      exec ()
    in
    exec ()
  with End_of_file -> ()

let _ = Lang.putLang "scheme" (ref callFromTlpt)
